Xalan2Executor (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.Xalan2Executor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class Xalan2Executor

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.Xalan2Executor

Deprecated. since Ant 1.7

    public class Xalan2Executor

extends java.lang.Object

This class is not used by the framework any more. We plan to remove it in Ant 1.8

Field Summary
`protected AggregateTransformer` | `caller` Deprecated. the transformer caller

Constructor Summary
`Xalan2Executor()` Deprecated.

Method Summary
`protected java.lang.String` | `getImplementation()` Deprecated. This methods should return the classname implementation of the underlying xslt processor.
`protected java.io.OutputStream` | `getOutputStream()` Deprecated. get the appropriate stream based on the format (frames/noframes)
`protected java.lang.String` | `getProcVersion(java.lang.String classNameImpl)` Deprecated. Try to discover the xslt processor version based on the className..
`protected java.lang.String` | `getXalanVersion(java.lang.String procVersionClassName)` Deprecated. pretty useful data (Xalan version information) to display.
`protected java.lang.String` | `getXSLTCVersion(java.lang.String procVersionClassName)` Deprecated. a bit simplistic but xsltc data are conveniently private non final

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caller

    protected AggregateTransformer caller

  Deprecated.
  the transformer caller

Constructor Detail

### Xalan2Executor

    public Xalan2Executor()

  Deprecated.

Method Detail

### getImplementation

    protected java.lang.String getImplementation()
                                          throws BuildException

  Deprecated.
  This methods should return the classname implementation of the underlying xslt processor.

  Returns:
    the classname of the implementation, for example: org.apache.xalan.processor.TransformerFactoryImpl
  Throws:
    `BuildException`
  See Also:
    `getProcVersion(String)`

### getProcVersion

    protected java.lang.String getProcVersion(java.lang.String classNameImpl)
                                       throws BuildException

  Deprecated.
  Try to discover the xslt processor version based on the className. There is nothing carved in stone and it can change anytime, so this is just for the sake of giving additional information if we can find it..

  Parameters:
    `classNameImpl` - the classname of the underlying xslt processor
  Returns:
    a string representing the implementation version.
  Throws:
    `BuildException`

### getOutputStream

    protected final java.io.OutputStream getOutputStream()
                                                  throws java.io.IOException

  Deprecated.
  get the appropriate stream based on the format (frames/noframes)

  Throws:
    `java.io.IOException`

### getXSLTCVersion

    protected final java.lang.String getXSLTCVersion(java.lang.String procVersionClassName)
                                              throws java.lang.ClassNotFoundException

  Deprecated.
  a bit simplistic but xsltc data are conveniently private non final

  Throws:
    `java.lang.ClassNotFoundException`

### getXalanVersion

    protected final java.lang.String getXalanVersion(java.lang.String procVersionClassName)
                                              throws java.lang.ClassNotFoundException

  Deprecated.
  pretty useful data (Xalan version information) to display.

  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD